Agora Java API Reference for Android

Classes | Public Member Functions | List of all members
io.agora.base.VideoFrame.TextureBuffer Interface Reference
Inheritance diagram for io.agora.base.VideoFrame.TextureBuffer:

## Classes
enum | ContextType
enum | Type

## Public Member Functions
Type | getType ()
int | getTextureId ()
Matrix | getTransformMatrix ()
EglBase.Context | getEglBaseContext ()
Object | getSourceTexturePool ()
long | getNativeEglContext ()
int | getEglContextType ()
float[] | getTransformMatrixArray ()
int | getSequence ()
long | getFenceObject ()
boolean | is10BitTexture ()
I010Buffer | toI010 ()
Public Member Functions inherited from io.agora.base.VideoFrame.Buffer
int | getWidth ()
int | getHeight ()
I420Buffer | toI420 ()
void | release ()
void | retain ()
Buffer | cropAndScale (int cropX, int cropY, int cropWidth, int cropHeight, int scaleWidth, int scaleHeight)
Buffer | mirror (int frameRotation)
Buffer | rotate (int frameRotation)
Buffer | transform (int cropX, int cropY, int cropWidth, int cropHeight, int scaleWidth, int scaleHeight, int frameRotation)

## Detailed Description

Interface for buffers that are stored as a single texture, either in OES or RGB format.

## Member Function Documentation

## ◆ getTextureId()

int io.agora.base.VideoFrame.TextureBuffer.getTextureId | ( |  | ) |

Returns
  texture id

Implemented in io.agora.base.TextureBuffer.

## ◆ getTransformMatrix()

Matrix io.agora.base.VideoFrame.TextureBuffer.getTransformMatrix | ( |  | ) |

Retrieve the transform matrix associated with the frame. This transform matrix maps 2D homogeneous coordinates of the form (s, t, 1) with s and t in the inclusive range [0, 1] to the coordinate that should be used to sample that location from the buffer.

Implemented in io.agora.base.TextureBuffer.

## ◆ getEglBaseContext()

EglBase.Context io.agora.base.VideoFrame.TextureBuffer.getEglBaseContext | ( |  | ) |

Retrieve the wrapped eglcontext EglBase.Context

Implemented in io.agora.base.TextureBuffer.

## ◆ getSequence()

int io.agora.base.VideoFrame.TextureBuffer.getSequence | ( |  | ) |

Sequence number managed by texture buffer creator.

Implemented in io.agora.base.TextureBuffer.